The Yac class

- « Predefined Constants

- Yac::add »

- PHP Manual
- Yac
- The Yac class

# The Yac class

(PECL yac >= 1.0.0)

## Introduction

## Class synopsis

class Yac {
/* Properties */
protected $_prefix;
/* Methods */
public __construct(string `$prefix` = "")
public add(string `$keys`, mixed `$value`, int `$ttl` = 0): bool
public add(array `$key_vals`): bool
public delete(string|array `$keys`, int `$ttl` = ?): bool
public dump(int `$$num`): mixed
public flush(): bool
public get(string|array `$key`, int `&$cas` = `null`): mixed
public __get(string `$key`): mixed
public info(): array
public set(string `$keys`, mixed `$value`, int `$ttl` = 0): bool
public add(array `$key_vals`): bool
public __set(string `$keys`, mixed `$value`): mixed
}

## Properties

_prefix

## Table of Contents

- Yac::add — Store into cache
- Yac::__construct — Constructor
- Yac::delete — Remove items from cache
- Yac::dump — Dump cache
- Yac::flush — Flush the cache
- Yac::get — Retrieve values from cache
- Yac::__get — Getter
- Yac::info — Status of cache
- Yac::set — Store into cache
- Yac::__set — Setter